2017-10-22 03:40 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002326NetSurf[All Projects] Generalpublic2017-10-16 23:40
ReporterGeoffrey 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformLinuxOSManjaro LinuxOS Version0.9
Product Version3.3 
Target Version3.7Fixed in Version3.7 
Summary0002326: Out Of Memory error with invalid file URL as homepage
DescriptionIf I put
file://
as the homepage instead of file:///
NetSurf complains at start with an "out of memory" error, while that's clearly not the case.
TagsNo tags attached.
Fixed in CI build #4050
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000861

Vincent Sanders (administrator)

How strange, it is still present even in current head.
Vincent Sanders

~0000864

Vincent Sanders (administrator)

OK updated error reporting in fetch_start yields a "bad url" error instead of "no memory" and it seems this comes from the nsurl modules handling of the file scheme.

both these fail
file:
file://
but these work as expected
file:/
file:///

tlsa suggests this is a regression and we need to revisit https://url.spec.whatwg.org/ So i am reassigning this to tlsa to see what he can do with it.
Michael Drake

~0001529

Michael Drake (administrator)

Fixed on master.
Vincent Sanders

~0001670

Vincent Sanders (administrator)

Thankyou for your report, this has been resolved in the 3.7 release
+Notes

-Issue History
Date Modified Username Field Change
2015-06-23 15:20 Geoffrey New Issue
2015-06-23 23:51 Vincent Sanders Note Added: 0000861
2015-06-23 23:51 Vincent Sanders Assigned To => Vincent Sanders
2015-06-23 23:51 Vincent Sanders Status new => confirmed
2015-06-23 23:51 Vincent Sanders Target Version => 3.4
2015-06-23 23:51 Vincent Sanders Description Updated View Revisions
2015-06-25 00:19 Vincent Sanders Note Added: 0000864
2015-06-25 00:19 Vincent Sanders Assigned To Vincent Sanders => Michael Drake
2016-02-16 13:46 Vincent Sanders Target Version 3.4 => 3.5
2016-04-12 11:47 Vincent Sanders Target Version 3.5 => 3.6
2017-03-27 12:29 Michael Drake Fixed in CI build # => 4050
2017-03-27 12:29 Michael Drake Note Added: 0001529
2017-03-27 12:29 Michael Drake Status confirmed => resolved
2017-03-27 12:29 Michael Drake Resolution open => fixed
2017-03-27 12:29 Michael Drake Fixed in Version => 3.7
2017-03-27 12:29 Michael Drake Target Version 3.6 => 3.7
2017-10-16 23:40 Vincent Sanders Status resolved => closed
2017-10-16 23:40 Vincent Sanders Note Added: 0001670
+Issue History